from setuptools import setup
import os


current_path = os.path.abspath(os.path.dirname(__file__))
with open(os.path.join(current_path, 'README.rst'), encoding='utf-8') as file:
    long_description = file.read()

subpackages = []
parent = 'goodiepy'
subpackages_path = os.path.join(current_path, 'goodiepy')
for subdir, _, _ in os.walk(subpackages_path):
    subdirs = subdir.split(os.sep)
    parent_index = subdirs.index(parent) + 1
    subpackages.append('.'.join(subdirs[parent_index:]))

setup(
    name='goodiepy',
    version='0.0.0',
    description='Some useful methods',
    long_description=long_description,
    url='https://github.com/monzita/goodiepy',
    author='Monika Ilieva',
    author_email='hidden@hidden.com',
    license='MIT License',
    keywords='goodiepy python3 usefulmethods',
    packages=[*subpackages],
    package_data={},
    py_modules=['goodiepy'],
    install_requires = [],
    entry_points = {
      'console_scripts': [],
    },
    classifiers=[
        
   ],
    zip_safe=True)